Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2DecimalInputFunctionCall Class Reference

Represents a reference to a decimal input function. More...

`#include <Xabsl2DecimalExpression.h>`

Inheritance diagram for Xabsl2DecimalInputFunctionCall:

[legend]
Collaboration diagram for Xabsl2DecimalInputFunctionCall:

[legend]
List of all members.

## Public Member Functions
virtual double | getValue ()
| Calculates the value of the decimal expression.
| Xabsl2DecimalInputFunctionCall (Xabsl2InputSource &input, Xabsl2Option *subsequentOption, Xabsl2ErrorHandler &errorHandler, Xabsl2Array< double > &parameters, Xabsl2Symbols &symbols, unsigned long &timeOfOptionExecution, unsigned long &timeOfStateExecution)
| Constructor.
| ~Xabsl2DecimalInputFunctionCall ()
| Destructor.
## Private Attributes
Xabsl2DecimalInputFunction * | function
| The referenced function.
Xabsl2Array< Xabsl2DecimalExpression * > | parameterValues
| Decimal expressions for the parameters.
Xabsl2Array< double * > | functionParameters
| Pointers to the function parameters.

## Detailed Description

Represents a reference to a decimal input function.

Author:
  Martin Lötzsch

Definition at line 302 of file Xabsl2DecimalExpression.h.

## Constructor & Destructor Documentation

Xabsl2DecimalInputFunctionCall::Xabsl2DecimalInputFunctionCall | ( | Xabsl2InputSource & | input,
|  | Xabsl2Option * | subsequentOption,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | Xabsl2Array< double > & | parameters,
|  | Xabsl2Symbols & | symbols,
|  | unsigned long & | timeOfOptionExecution,
|  | unsigned long & | timeOfStateExecution
| ) |

  | Constructor. Creates the function call depending on the input. Parameters:
  input | An input source for the intermediate code. It must be opened and read until A position where the function reference starts.
  subsequentOption | The subsequent option of the state. 0 if the subsequent behavior is a basic behavior
  errorHandler | A reference to a Xabsl2ErrorHandler instance
  parameters | The parameters of the option
  symbols | All available symbols
  timeOfOptionExecution | The time how long the option is already active
  timeOfStateExecution | The time how long the state is already active
Definition at line 245 of file Xabsl2DecimalExpression.cpp. References Xabsl2Array< Xabsl2DecimalExpression * >::append(), Xabsl2Array< double * >::append(), Xabsl2DecimalExpression::createOperand(), Xabsl2ArrayElement< double & >::e, Xabsl2ErrorHandler::error(), Xabsl2Array< double & >::exists(), Xabsl2Symbols::existsDecimalInputFunction(), functionParameters, Xabsl2Symbols::getDecimalInputFunction(), Xabsl2Array< double & >::getPElement(), Xabsl2ErrorHandler::message(), Xabsl2NamedItem::n, Xabsl2DecimalInputFunction::parameters, parameterValues, Xabsl2InputSource::readString(), Xabsl2InputSource::readValue(), and XABSL2_DEBUG_INIT.

Here is the call graph for this function:

Xabsl2DecimalInputFunctionCall::~Xabsl2DecimalInputFunctionCall | ( |  | ) |

| Destructor. Definition at line 290 of file Xabsl2DecimalExpression.cpp. References Xabsl2Array< Xabsl2DecimalExpression * >::getSize(), and parameterValues.

Here is the call graph for this function:

## Member Function Documentation

double Xabsl2DecimalInputFunctionCall::getValue | ( |  | ) | `[virtual]`

| Calculates the value of the decimal expression. Implements Xabsl2DecimalExpression. Definition at line 297 of file Xabsl2DecimalExpression.cpp. References functionParameters, Xabsl2Array< double * >::getSize(), Xabsl2DecimalInputFunction::getValue(), and parameterValues.

Here is the call graph for this function:

## Member Data Documentation

Xabsl2DecimalInputFunction* Xabsl2DecimalInputFunctionCall::function`[private]`

| The referenced function. Definition at line 332 of file Xabsl2DecimalExpression.h.

Xabsl2Array<Xabsl2DecimalExpression*> Xabsl2DecimalInputFunctionCall::parameterValues`[private]`

| Decimal expressions for the parameters. Definition at line 335 of file Xabsl2DecimalExpression.h. Referenced by getValue(), Xabsl2DecimalInputFunctionCall(), and ~Xabsl2DecimalInputFunctionCall().

Xabsl2Array<double*> Xabsl2DecimalInputFunctionCall::functionParameters`[private]`

| Pointers to the function parameters. Definition at line 338 of file Xabsl2DecimalExpression.h. Referenced by getValue(), and Xabsl2DecimalInputFunctionCall().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2DecimalExpression.cpp